Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network154.7.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
154.7.64.0
Broadcast address
154.7.95.255
First usable
154.7.64.1
Last usable
154.7.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex 9A074000 · Integer 2584166400 to 2584174591
Reverse DNS zones
64.7.154.in-addr.arpa
65.7.154.in-addr.arpa
66.7.154.in-addr.arpa
67.7.154.in-addr.arpa
68.7.154.in-addr.arpa
69.7.154.in-addr.arpa
70.7.154.in-addr.arpa
71.7.154.in-addr.arpa
72.7.154.in-addr.arpa
73.7.154.in-addr.arpa
74.7.154.in-addr.arpa
75.7.154.in-addr.arpa
76.7.154.in-addr.arpa
77.7.154.in-addr.arpa
78.7.154.in-addr.arpa
79.7.154.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011010.00000111.01000000.00000000154.7.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10011010.00000111.01000000.00000000154.7.64.0
Broadcast10011010.00000111.01011111.11111111154.7.95.255
Split into smaller subnets/26

154.7.64.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1154.7.64.0/26154.7.64.1 to 154.7.64.62154.7.64.6362
2154.7.64.64/26154.7.64.65 to 154.7.64.126154.7.64.12762
3154.7.64.128/26154.7.64.129 to 154.7.64.190154.7.64.19162
4154.7.64.192/26154.7.64.193 to 154.7.64.254154.7.64.25562
5154.7.65.0/26154.7.65.1 to 154.7.65.62154.7.65.6362
6154.7.65.64/26154.7.65.65 to 154.7.65.126154.7.65.12762
7154.7.65.128/26154.7.65.129 to 154.7.65.190154.7.65.19162
8154.7.65.192/26154.7.65.193 to 154.7.65.254154.7.65.25562
9154.7.66.0/26154.7.66.1 to 154.7.66.62154.7.66.6362
10154.7.66.64/26154.7.66.65 to 154.7.66.126154.7.66.12762
11154.7.66.128/26154.7.66.129 to 154.7.66.190154.7.66.19162
12154.7.66.192/26154.7.66.193 to 154.7.66.254154.7.66.25562
13154.7.67.0/26154.7.67.1 to 154.7.67.62154.7.67.6362
14154.7.67.64/26154.7.67.65 to 154.7.67.126154.7.67.12762
15154.7.67.128/26154.7.67.129 to 154.7.67.190154.7.67.19162
16154.7.67.192/26154.7.67.193 to 154.7.67.254154.7.67.25562
17154.7.68.0/26154.7.68.1 to 154.7.68.62154.7.68.6362
18154.7.68.64/26154.7.68.65 to 154.7.68.126154.7.68.12762
19154.7.68.128/26154.7.68.129 to 154.7.68.190154.7.68.19162
20154.7.68.192/26154.7.68.193 to 154.7.68.254154.7.68.25562
21154.7.69.0/26154.7.69.1 to 154.7.69.62154.7.69.6362
22154.7.69.64/26154.7.69.65 to 154.7.69.126154.7.69.12762
23154.7.69.128/26154.7.69.129 to 154.7.69.190154.7.69.19162
24154.7.69.192/26154.7.69.193 to 154.7.69.254154.7.69.25562
25154.7.70.0/26154.7.70.1 to 154.7.70.62154.7.70.6362
26154.7.70.64/26154.7.70.65 to 154.7.70.126154.7.70.12762
27154.7.70.128/26154.7.70.129 to 154.7.70.190154.7.70.19162
28154.7.70.192/26154.7.70.193 to 154.7.70.254154.7.70.25562
29154.7.71.0/26154.7.71.1 to 154.7.71.62154.7.71.6362
30154.7.71.64/26154.7.71.65 to 154.7.71.126154.7.71.12762
31154.7.71.128/26154.7.71.129 to 154.7.71.190154.7.71.19162
32154.7.71.192/26154.7.71.193 to 154.7.71.254154.7.71.25562
33154.7.72.0/26154.7.72.1 to 154.7.72.62154.7.72.6362
34154.7.72.64/26154.7.72.65 to 154.7.72.126154.7.72.12762
35154.7.72.128/26154.7.72.129 to 154.7.72.190154.7.72.19162
36154.7.72.192/26154.7.72.193 to 154.7.72.254154.7.72.25562
37154.7.73.0/26154.7.73.1 to 154.7.73.62154.7.73.6362
38154.7.73.64/26154.7.73.65 to 154.7.73.126154.7.73.12762
39154.7.73.128/26154.7.73.129 to 154.7.73.190154.7.73.19162
40154.7.73.192/26154.7.73.193 to 154.7.73.254154.7.73.25562
41154.7.74.0/26154.7.74.1 to 154.7.74.62154.7.74.6362
42154.7.74.64/26154.7.74.65 to 154.7.74.126154.7.74.12762
43154.7.74.128/26154.7.74.129 to 154.7.74.190154.7.74.19162
44154.7.74.192/26154.7.74.193 to 154.7.74.254154.7.74.25562
45154.7.75.0/26154.7.75.1 to 154.7.75.62154.7.75.6362
46154.7.75.64/26154.7.75.65 to 154.7.75.126154.7.75.12762
47154.7.75.128/26154.7.75.129 to 154.7.75.190154.7.75.19162
48154.7.75.192/26154.7.75.193 to 154.7.75.254154.7.75.25562
49154.7.76.0/26154.7.76.1 to 154.7.76.62154.7.76.6362
50154.7.76.64/26154.7.76.65 to 154.7.76.126154.7.76.12762
51154.7.76.128/26154.7.76.129 to 154.7.76.190154.7.76.19162
52154.7.76.192/26154.7.76.193 to 154.7.76.254154.7.76.25562
53154.7.77.0/26154.7.77.1 to 154.7.77.62154.7.77.6362
54154.7.77.64/26154.7.77.65 to 154.7.77.126154.7.77.12762
55154.7.77.128/26154.7.77.129 to 154.7.77.190154.7.77.19162
56154.7.77.192/26154.7.77.193 to 154.7.77.254154.7.77.25562
57154.7.78.0/26154.7.78.1 to 154.7.78.62154.7.78.6362
58154.7.78.64/26154.7.78.65 to 154.7.78.126154.7.78.12762
59154.7.78.128/26154.7.78.129 to 154.7.78.190154.7.78.19162
60154.7.78.192/26154.7.78.193 to 154.7.78.254154.7.78.25562
61154.7.79.0/26154.7.79.1 to 154.7.79.62154.7.79.6362
62154.7.79.64/26154.7.79.65 to 154.7.79.126154.7.79.12762
63154.7.79.128/26154.7.79.129 to 154.7.79.190154.7.79.19162
64154.7.79.192/26154.7.79.193 to 154.7.79.254154.7.79.25562
65154.7.80.0/26154.7.80.1 to 154.7.80.62154.7.80.6362
66154.7.80.64/26154.7.80.65 to 154.7.80.126154.7.80.12762
67154.7.80.128/26154.7.80.129 to 154.7.80.190154.7.80.19162
68154.7.80.192/26154.7.80.193 to 154.7.80.254154.7.80.25562
69154.7.81.0/26154.7.81.1 to 154.7.81.62154.7.81.6362
70154.7.81.64/26154.7.81.65 to 154.7.81.126154.7.81.12762
71154.7.81.128/26154.7.81.129 to 154.7.81.190154.7.81.19162
72154.7.81.192/26154.7.81.193 to 154.7.81.254154.7.81.25562
73154.7.82.0/26154.7.82.1 to 154.7.82.62154.7.82.6362
74154.7.82.64/26154.7.82.65 to 154.7.82.126154.7.82.12762
75154.7.82.128/26154.7.82.129 to 154.7.82.190154.7.82.19162
76154.7.82.192/26154.7.82.193 to 154.7.82.254154.7.82.25562
77154.7.83.0/26154.7.83.1 to 154.7.83.62154.7.83.6362
78154.7.83.64/26154.7.83.65 to 154.7.83.126154.7.83.12762
79154.7.83.128/26154.7.83.129 to 154.7.83.190154.7.83.19162
80154.7.83.192/26154.7.83.193 to 154.7.83.254154.7.83.25562
81154.7.84.0/26154.7.84.1 to 154.7.84.62154.7.84.6362
82154.7.84.64/26154.7.84.65 to 154.7.84.126154.7.84.12762
83154.7.84.128/26154.7.84.129 to 154.7.84.190154.7.84.19162
84154.7.84.192/26154.7.84.193 to 154.7.84.254154.7.84.25562
85154.7.85.0/26154.7.85.1 to 154.7.85.62154.7.85.6362
86154.7.85.64/26154.7.85.65 to 154.7.85.126154.7.85.12762
87154.7.85.128/26154.7.85.129 to 154.7.85.190154.7.85.19162
88154.7.85.192/26154.7.85.193 to 154.7.85.254154.7.85.25562
89154.7.86.0/26154.7.86.1 to 154.7.86.62154.7.86.6362
90154.7.86.64/26154.7.86.65 to 154.7.86.126154.7.86.12762
91154.7.86.128/26154.7.86.129 to 154.7.86.190154.7.86.19162
92154.7.86.192/26154.7.86.193 to 154.7.86.254154.7.86.25562
93154.7.87.0/26154.7.87.1 to 154.7.87.62154.7.87.6362
94154.7.87.64/26154.7.87.65 to 154.7.87.126154.7.87.12762
95154.7.87.128/26154.7.87.129 to 154.7.87.190154.7.87.19162
96154.7.87.192/26154.7.87.193 to 154.7.87.254154.7.87.25562
97154.7.88.0/26154.7.88.1 to 154.7.88.62154.7.88.6362
98154.7.88.64/26154.7.88.65 to 154.7.88.126154.7.88.12762
99154.7.88.128/26154.7.88.129 to 154.7.88.190154.7.88.19162
100154.7.88.192/26154.7.88.193 to 154.7.88.254154.7.88.25562
101154.7.89.0/26154.7.89.1 to 154.7.89.62154.7.89.6362
102154.7.89.64/26154.7.89.65 to 154.7.89.126154.7.89.12762
103154.7.89.128/26154.7.89.129 to 154.7.89.190154.7.89.19162
104154.7.89.192/26154.7.89.193 to 154.7.89.254154.7.89.25562
105154.7.90.0/26154.7.90.1 to 154.7.90.62154.7.90.6362
106154.7.90.64/26154.7.90.65 to 154.7.90.126154.7.90.12762
107154.7.90.128/26154.7.90.129 to 154.7.90.190154.7.90.19162
108154.7.90.192/26154.7.90.193 to 154.7.90.254154.7.90.25562
109154.7.91.0/26154.7.91.1 to 154.7.91.62154.7.91.6362
110154.7.91.64/26154.7.91.65 to 154.7.91.126154.7.91.12762
111154.7.91.128/26154.7.91.129 to 154.7.91.190154.7.91.19162
112154.7.91.192/26154.7.91.193 to 154.7.91.254154.7.91.25562
113154.7.92.0/26154.7.92.1 to 154.7.92.62154.7.92.6362
114154.7.92.64/26154.7.92.65 to 154.7.92.126154.7.92.12762
115154.7.92.128/26154.7.92.129 to 154.7.92.190154.7.92.19162
116154.7.92.192/26154.7.92.193 to 154.7.92.254154.7.92.25562
117154.7.93.0/26154.7.93.1 to 154.7.93.62154.7.93.6362
118154.7.93.64/26154.7.93.65 to 154.7.93.126154.7.93.12762
119154.7.93.128/26154.7.93.129 to 154.7.93.190154.7.93.19162
120154.7.93.192/26154.7.93.193 to 154.7.93.254154.7.93.25562
121154.7.94.0/26154.7.94.1 to 154.7.94.62154.7.94.6362
122154.7.94.64/26154.7.94.65 to 154.7.94.126154.7.94.12762
123154.7.94.128/26154.7.94.129 to 154.7.94.190154.7.94.19162
124154.7.94.192/26154.7.94.193 to 154.7.94.254154.7.94.25562
125154.7.95.0/26154.7.95.1 to 154.7.95.62154.7.95.6362
126154.7.95.64/26154.7.95.65 to 154.7.95.126154.7.95.12762
127154.7.95.128/26154.7.95.129 to 154.7.95.190154.7.95.19162
128154.7.95.192/26154.7.95.193 to 154.7.95.254154.7.95.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses